package modules.region;

import utils.*;
import simulator.*;
import modules.gradient.*;
import java.util.*;

public class RegionPropagation implements PropagationTest {
  private Object id;
  public RegionPropagation(Object id) { this.id=id; }

  public boolean propagate(Gradient g, PortedProcessor pp) {
    RegionManager rm = (RegionManager)pp.getModule("RegionManager");
    return rm.inRegion(id);
  }
}
